_PidginBuddyList Struct Reference

Like, everything you need to know about the gtk buddy list. More...

`#include <gtkblist.h>`

## Data Fields

GtkWidget * | window
GtkWidget * | notebook
| The notebook that switches between the real buddy list and the helpful instructions page.
GtkWidget * | main_vbox
| This vbox contains the menu and notebook.
GtkWidget * | vbox
| This is the vbox that everything important gets packed into. More...
GtkWidget * | treeview
| It's a treeview... More...
GtkTreeStore * | treemodel
| This is the treemodel. More...
GtkTreeViewColumn * | text_column
| Column.
GtkCellRenderer * | text_rend
GtkItemFactory * | ift
GtkWidget * | menutray
| The menu tray widget. More...
GtkWidget * | menutrayicon
| The menu tray icon. More...
GHashTable * | connection_errors
| Caches connection error messages; keys are PurpleAccount and values are non-`NULL` `const char *`s containing localised error messages. More...
guint | refresh_timer
| The timer for refreshing every 30 seconds.
guint | timeout
| The timeout for the tooltip. More...
guint | drag_timeout
| The timeout for expanding contacts on drags.
GdkRectangle | tip_rect
| This is the bounding rectangle of the cell we're currently hovering over. More...
GdkRectangle | contact_rect
| This is the bounding rectangle of the contact node and its children. More...
PurpleBlistNode * | mouseover_contact
| This is the contact currently mouse-over expanded.
GtkWidget * | tipwindow
| The window used by the tooltip.
GList * | tooltipdata
| The data for each "chunk" of the tooltip.
PurpleBlistNode * | selected_node
| The currently selected node.
GdkCursor * | hand_cursor
| Hand cursor.
GdkCursor * | arrow_cursor
| Arrow cursor.
GtkWidget * | scrollbook
| Scrollbook for alerts.
GtkWidget * | headline_hbox
| Hbox for headline notification.
GtkWidget * | headline_label
| Label for headline notifications.
GtkWidget * | headline_image
| Image for headline notifications.
GdkPixbuf * | headline_close
GCallback | headline_callback
| Callback for headline notifications.
gpointer | headline_data
| User data for headline notifications.
GDestroyNotify | headline_destroy
| Callback to use for destroying the headline-data.
gboolean | changing_style
| True when changing GTK+ theme style.
GtkWidget * | error_buttons
| Box containing the connection error buttons.
GtkWidget * | statusbox
| The status selector dropdown.
GdkPixbuf * | empty_avatar
| A 32x32 transparent pixbuf.
gpointer | priv
| Pointer to opaque private data.

## Detailed Description

Like, everything you need to know about the gtk buddy list.

Definition at line 71 of file gtkblist.h.

## Field Documentation

GHashTable* _PidginBuddyList::connection_errors

Caches connection error messages; keys are PurpleAccount and values are non-`NULL` `const char *`s containing localised error messages.

(If an account does not have an error, it will not appear in the table.)

Deprecated:
  in favour of purple_account_get_current_error(), which also gives you the PurpleConnectionError value.

Definition at line 96 of file gtkblist.h.

GdkRectangle _PidginBuddyList::contact_rect

This is the bounding rectangle of the contact node and its children.

This is used for auto-expand on mouseover.

Definition at line 105 of file gtkblist.h.

GdkPixbuf* _PidginBuddyList::headline_close

Deprecated:
  : Close image for closing the headline without triggering the callback

Definition at line 122 of file gtkblist.h.

GtkWidget* _PidginBuddyList::menutray

The menu tray widget.

Definition at line 86 of file gtkblist.h.

GtkWidget* _PidginBuddyList::menutrayicon

The menu tray icon.

Definition at line 87 of file gtkblist.h.

guint _PidginBuddyList::timeout

The timeout for the tooltip.

Definition at line 100 of file gtkblist.h.

GdkRectangle _PidginBuddyList::tip_rect

This is the bounding rectangle of the cell we're currently hovering over.

This is used for tooltips.

Definition at line 102 of file gtkblist.h.

GtkTreeStore* _PidginBuddyList::treemodel

This is the treemodel.

Definition at line 80 of file gtkblist.h.

GtkWidget* _PidginBuddyList::treeview

It's a treeview...

d'uh.

Definition at line 79 of file gtkblist.h.

GtkWidget* _PidginBuddyList::vbox

This is the vbox that everything important gets packed into.

Your plugin might want to pack something in it itself. Go, plugins!

Definition at line 76 of file gtkblist.h.

The documentation for this struct was generated from the following file:

- gtkblist.h